DCMTK: DcmRLEDecoderRegistration Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Private Member Functions | Static Private Attributes | List of all members
DcmRLEDecoderRegistration Class Reference

singleton class that registers an RLE decoder. More...

## Static Public Member Functions
static void | registerCodecs (OFBool pCreateSOPInstanceUID=OFFalse, OFBool pReverseDecompressionByteOrder=OFFalse)
| registers RLE decoder.
static void | cleanup ()
| deregisters decoder.

## Private Member Functions
| DcmRLEDecoderRegistration (const DcmRLEDecoderRegistration &)
| private undefined copy constructor
DcmRLEDecoderRegistration & | operator= (const DcmRLEDecoderRegistration &)
| private undefined copy assignment operator

## Static Private Attributes
static OFBool | registered
| flag indicating whether the decoder is already registered.
static DcmRLECodecParameter * | cp
| pointer to codec parameter
static DcmRLECodecDecoder * | codec
| pointer to RLE decoder

## Detailed Description

singleton class that registers an RLE decoder.

## Member Function Documentation

## ◆ cleanup()

static void DcmRLEDecoderRegistration::cleanup | ( |  | ) |
| static

deregisters decoder.

Attention: Must not be called while other threads might still use the registered codecs, e.g. because they are currently decoding DICOM data sets through dcmdata.

## ◆ registerCodecs()

static void DcmRLEDecoderRegistration::registerCodecs | ( | OFBool | pCreateSOPInstanceUID = OFFalse,
|  | OFBool | pReverseDecompressionByteOrder = OFFalse )
| static

registers RLE decoder.

If already registered, call is ignored unless cleanup() has been performed before.

Parameters

  pCreateSOPInstanceUID | flag indicating whether or not a new SOP Instance UID should be assigned upon decompression.
  pReverseDecompressionByteOrder | flag indicating whether the byte order should be reversed upon decompression. Needed to correctly decode some incorrectly encoded images with more than one byte per sample.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcrledrg.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2